Summary:	pgnodemx13 - SQL functions that allow capture of node OS metrics from PostgreSQL
Name:		pgnodemx13
Version:	%{pgnodemx_specfile_version}
Release:	%{pgnodemx_specfile_release}%{?dist}
Provides:	pgnodemx13 = %{version}-%{release}
URL:            https://github.com/CrunchyData/pgnodemx/
License:	Apache 2.0
BuildRequires:  openssl-devel
Requires:	postgresql%{pgmajorversion}
Source:		pgnodemx.tar.gz
Packager:	Crunchy Packaging Team <packagers@crunchydata.com>

%description
https://github.com/CrunchyData/pgnodemx/

%prep
# Copies sources and patches to BUILD
echo "=========="
echo "PREP PHASE"
echo "=========="
%setup -n pgnodemx

%build
echo "==========="
echo "BUILD PHASE"
echo "==========="
cd pgnodemx
export PATH=$PATH:%{pginstdir}/bin && %{__make} USE_PGXS=1

%install
echo "============="
echo "INSTALL PHASE"
echo "============="
# All items here happen inside of the directory "BUILD/pgnodemx"
cd pgnodemx
export PATH=$PATH:%{pginstdir}/bin && %{__make} USE_PGXS=1 DESTDIR=%{buildroot} install

%clean
echo "==========="
echo "CLEAN PHASE"
echo "==========="
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%{pginstdir}/lib/pgnodemx.so
%{pginstdir}/share/extension/pgnodemx--1.0--1.1.sql
%{pginstdir}/share/extension/pgnodemx--1.1.sql
%{pginstdir}/share/extension/pgnodemx.control
%{pginstdir}/lib/bitcode/pgnodemx.index.bc
%{pginstdir}/lib/bitcode/pgnodemx/*.bc
%license pgnodemx/LICENSE.md
%doc pgnodemx/README.md

%changelog
* Thu Sep 16 2021 Maggie Silver <maggie.silver@crunchydata.com>
  - Use license macro
* Mon Jul 27 2020 John Harvey <john.harvey@crunchydata.com>
 - Initial version of specfile.
